<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>aspnet-OpenArchival.Blazor-2bdd9108-567b-4b19-b97f-47edace03070</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <DockerComposeProjectPath>..\docker-compose.dcproj</DockerComposeProjectPath>
  </PropertyGroup>


  <ItemGroup>
    <PackageReference Include="CodeBeam.MudExtensions" Version="6.3.0" />
    <PackageReference Include="Dapper" Version="2.1.66" />
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="9.0.8" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.9" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.9" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.9" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.22.1" />
    <PackageReference Include="Npgsql" Version="9.0.3" />
    <PackageReference Include="Npgsql.DependencyInjection" Version="9.0.3" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.4" />
    <PackageReference Include="System.Collections" Version="4.3.0" />
  </ItemGroup>

  <ItemGroup>
    <FrameworkReference Include="Microsoft.AspNetCore.App" />
  </ItemGroup>
	
  <ItemGroup>
    <ProjectReference Include="..\OpenArchival.Blazor.AdminPages\OpenArchival.Blazor.AdminPages.csproj" />
    <ProjectReference Include="..\OpenArchival.Blazor.ArchiveDisplay\OpenArchival.Blazor.ArchiveDisplay.csproj" />
    <ProjectReference Include="..\OpenArchival.Blazor.ArtifactGroupingDisplay\OpenArchival.Blazor.ArtifactGroupingDisplay.csproj" />
    <ProjectReference Include="..\OpenArchival.Blazor.Blog\OpenArchival.Blazor.Blog.csproj" />
    <ProjectReference Include="..\OpenArchival.Blazor.Config\OpenArchival.Blazor.Config.csproj" />
    <ProjectReference Include="..\OpenArchival.Blazor.CustomComponents\OpenArchival.Blazor.CustomComponents.csproj" />
    <ProjectReference Include="..\OpenArchival.Blazor.FileViewer\OpenArchival.Blazor.FileViewer.csproj" />
    <ProjectReference Include="..\OpenArchival.Blazor.Theme\OpenArchival.Blazor.Theme.csproj" />
    <ProjectReference Include="..\OpenArchival.DataAccess.FileAccessManager\OpenArchival.DataAccess.FileAccessManager.csproj" />
    <ProjectReference Include="..\OpenArchival.DataAccess\OpenArchival.DataAccess.csproj" />
  </ItemGroup>

</Project>